Subject: Re: tiny login: useradd command

From: Clemens Koller <[email-masked]>
Date: Fri, 19 Oct 2007 10:39:17 +0200

pjmaiya schrieb:
 > Hi,
 >  I am using montavista linux.

Then, please ask their support, when they charge a 5 number USD amount as
part of their license/support model. (That's what I've been told this week.)

 > Using TCT tool i have added package for
 > user creation. I am having following problem
 >
 >     * If I use tiny login package, I will be getting useradd binary but
 >       number of parameter are few like
 >
 >  Usage: adduser [OPTIONS]... <USER>
 >
 > Options:
 >
 >   -h <directory>    specify home directory
 >   -s <shell>        specify shell
 >   -g <gecos>        specify GECOS string
 >
 >     * If I don't use tiny login package, I will be selecting useradd
 >       package from admin menu. But I am unable to execute this command
 >       since it gives follwing error
 >
 >       /usr/sbin/groupadd missing..
 >
 >
 >     * Actually I want useradd command similar to linux where more
 >       argument are taken, especially I wanted 'user' to be part of more
 >       than one group.
 >
 > can anyone help me out..

I would just take useradd/groupadd from the Shadow password file utilities.

Regards,

Clemens Koller
__________________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Straße 45/1
Linhof Werksgelände
D-81379 München
Tel.089-741518-50
Fax 089-741518-19
http://www.anagramm-technology.com